import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class UsaCheckboxLabelDescription {
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaCheckboxLabelDescription, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaCheckboxLabelDescription, "[usaCheckboxDescription]", never, {}, {}, never, never, false, never>;
}
export declare class UsaCheckboxComponent implements ControlValueAccessor {
    cdr: ChangeDetectorRef;
    nativeInput: ElementRef<HTMLInputElement>;
    tile: boolean;
    checked: boolean;
    disabled: boolean;
    ariaLabel: string;
    ariaLabelledby: string;
    ariaDescribedby: string;
    id: string;
    required: boolean;
    /** Name value will be applied to the input element if present */
    name: string;
    get indeterminate(): boolean;
    set indeterminate(value: boolean);
    private _indeterminate;
    change: EventEmitter<boolean>;
    /**
    * Invoked when the model has been changed
    */
    onChange: (_: any) => void;
    /**
     * Invoked when the model has been touched
     */
    onTouched: () => void;
    constructor(cdr: ChangeDetectorRef);
    writeValue(value: any): void;
    /**
     * Registers a callback function that should be called when the control's value changes in the UI.
     * @param fn
     */
    registerOnChange(fn: any): void;
    /**
      * Registers a callback function that should be called when the control receives a blur event.
      * @param fn
      */
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    _getAriaChecked(): 'true' | 'false' | 'mixed';
    onCheckboxClick($event: PointerEvent): void;
    preventChangePropogation($event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaCheckboxComponent, "usa-checkbox", never, { "tile": { "alias": "tile"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "ariaLabel": { "alias": "aria-label"; "required": false; }; "ariaLabelledby": { "alias": "aria-labelledby"; "required": false; }; "ariaDescribedby": { "alias": "aria-describedby"; "required": false; }; "id": { "alias": "id"; "required": false; }; "required": { "alias": "required"; "required": false; }; "name": { "alias": "name"; "required": false; }; "indeterminate": { "alias": "indeterminate"; "required": false; }; }, { "change": "change"; }, never, ["*", "usaCheckboxDescription"], false, never>;
}
