import { BooleanInput } from '../util/boolean-property';
import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { UsaDatePickerControl, UsaDatePickerPanel } from './date-picker-base';
import * as i0 from "@angular/core";
/** Can be used to override the icon of a `usaDatePickerButton`. */
export declare class UsaDatePickerButtonIcon {
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaDatePickerButtonIcon, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaDatePickerButtonIcon, "[usaDatePickerButtonIcon]", never, {}, {}, never, never, false, never>;
}
export declare class UsaDatePickerButton<D> implements AfterContentInit, OnChanges, OnDestroy {
    private _changeDetectorRef;
    private _stateChanges;
    /** DatePicker instance that the button will toggle. */
    datePicker: UsaDatePickerPanel<UsaDatePickerControl<any>, D>;
    /** Tabindex for the toggle. */
    tabIndex: number | null;
    /** Screenreader label for the button. */
    ariaLabel: string;
    /** Whether the toggle button is disabled. */
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    /** Custom icon set by the consumer. */
    _customIcon: UsaDatePickerButtonIcon;
    /** Underlying button element. */
    _button: HTMLButtonElement;
    constructor(_changeDetectorRef: ChangeDetectorRef, defaultTabIndex: string);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    _toggle(event: Event): void;
    private _watchStateChanges;
    static ngAcceptInputType_disabled: BooleanInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaDatePickerButton<any>, [null, { attribute: "tabindex"; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaDatePickerButton<any>, "usa-date-picker-button", ["usaDatePickerButton"], { "datePicker": { "alias": "for"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "ariaLabel": { "alias": "aria-label"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, ["_customIcon"], never, false, never>;
}
