import { ElementRef, OnDestroy } from "@angular/core";
import { ValidatorFn } from "@angular/forms";
import { DateAdapter } from "./dateadapter/date-adapter";
import { UsaDateFormats } from "./dateadapter/date-formats";
import { DateSelectionModelChange } from "./date-selection-model";
import { UsaDatePickerPanel, UsaDatePickerControl } from "./date-picker-base";
import { DateFilterFn, UsaDatePickerInputBase } from "./date-picker-input-base";
import * as i0 from "@angular/core";
/** @docs-private */
export declare const USA_DATEPICKER_VALUE_ACCESSOR: any;
/** @docs-private */
export declare const USA_DATEPICKER_VALIDATORS: any;
export declare class UsaDatePickerInput<D> extends UsaDatePickerInputBase<D | null, D> implements UsaDatePickerControl<D | null>, OnDestroy {
    private _closedSubscription;
    /** The datePicker that this input is associated with. */
    set usaDatePicker(datePicker: UsaDatePickerPanel<UsaDatePickerControl<D>, D | null, D>);
    _datePicker: UsaDatePickerPanel<UsaDatePickerControl<D>, D | null, D>;
    /** The minimum valid date. */
    get min(): D | null;
    set min(value: D | null);
    private _min;
    /** The maximum valid date. */
    get max(): D | null;
    set max(value: D | null);
    private _max;
    /** Function that can be used to filter out dates within the datePicker. */
    get dateFilter(): DateFilterFn<D | null>;
    set dateFilter(value: DateFilterFn<D | null>);
    private _dateFilter;
    /** The combined form control validator for this input. */
    protected _validator: ValidatorFn | null;
    constructor(elementRef: ElementRef<HTMLInputElement>, dateAdapter: DateAdapter<D>, dateFormats: UsaDateFormats);
    /**
     * Gets the element that the datePicker popup should be connected to.
     * @return The element to connect the popup to.
     */
    getConnectedOverlayOrigin(): ElementRef;
    /** Gets the ID of an element that should be used a description for the calendar overlay. */
    getOverlayLabelId(): string | null;
    /** Gets the value at which the calendar should start. */
    getStartValue(): D | null;
    ngOnDestroy(): void;
    /** Opens the associated datePicker. */
    protected _openPopup(): void;
    protected _getValueFromModel(modelValue: D | null): D | null;
    protected _assignValueToModel(value: D | null): void;
    /** Gets the input's minimum date. */
    _getMinDate(): D;
    /** Gets the input's maximum date. */
    _getMaxDate(): D;
    /** Gets the input's date filtering function. */
    protected _getDateFilter(): DateFilterFn<D>;
    protected _shouldHandleChangeEvent(event: DateSelectionModelChange<D>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaDatePickerInput<any>, [null, { optional: true; }, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaDatePickerInput<any>, "input[usaDatePicker]", ["usaDatePickerInput"], { "usaDatePicker": { "alias": "usaDatePicker"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "dateFilter": { "alias": "usaDatePickerFilter"; "required": false; }; }, {}, never, never, false, never>;
}
