import { ChangeDetectorRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FormFieldComponent {
    private cdr;
    /**
     * sets the label text
     */
    label: string;
    /**
     * sets the id attribute value
     */
    id: string;
    /**
     * sets the description text
     */
    description: string;
    /**
     * deprecated, toggles the required text
     */
    required: boolean;
    /**
     * toggles the required text
     */
    requiredFlag: boolean;
    /**
     * set the error message
     */
    set errorMessage(message: string);
    get errorMessage(): string;
    input: HTMLElement;
    errorElId: string;
    descriptionElId: string;
    private _errorMessage;
    constructor(cdr: ChangeDetectorRef);
    formatErrors(control: NgControl): void;
    clearError(): void;
    private setInvalidErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldComponent, "usa-form-field", never, { "label": { "alias": "label"; "required": false; }; "id": { "alias": "id"; "required": false; }; "description": { "alias": "description"; "required": false; }; "required": { "alias": "required"; "required": false; }; "requiredFlag": { "alias": "requiredFlag"; "required": false; }; "errorMessage": { "alias": "errorMessage"; "required": false; }; }, {}, never, ["*"], false, never>;
}
