import { ElementRef, EventEmitter, TemplateRef, ViewContainerRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class UsaHeaderSubmenuButton {
    private el;
    private viewContainer;
    submenuTemplate: TemplateRef<any>;
    /**
     * Required Input - template reference of content to display within the megamenu
     */
    content: TemplateRef<any>;
    /**
     * Defines whether the content should be displayed as a megamenu rather than a menu.
     * A megamenu will open a menu that expands the entire width of the page
     * @default false
     */
    isMegamenu: boolean;
    /**
     * Whether the megamenu is open initially or not
     * @default - false
     */
    selected: boolean;
    /**
     * Id for megamenu section
     */
    id: string;
    /**
     * Output event emitted whenever the state of megamenu (opened or closed) changes.
     */
    selectedChange: EventEmitter<boolean>;
    /**
     * Listener for click events anywhere in the DOM. If the click event was outside
     * this submenu element, then close the submeny.
     * @param $event - click event
     */
    onDocumentClick($event: any): void;
    private _attachedViewRef;
    constructor(el: ElementRef, viewContainer: ViewContainerRef);
    /**
     * Toggles selected value when button is clicked. If the item is selected, then we should
     * display the submenu. If the item is un-selected, then we should remove the submenu
     */
    onClick(): void;
    /**
     * Attaches the submenu div as next sibling to button
     */
    attachContent(): void;
    /**
     * Removes dropdown content and detaches the created view container
     */
    detachContent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaHeaderSubmenuButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaHeaderSubmenuButton, "button[usaHeaderSubmenu]", never, { "content": { "alias": "content"; "required": false; }; "isMegamenu": { "alias": "isMegamenu"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, { "selectedChange": "selectedChange"; }, never, ["*"], false, never>;
}
