import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class UsaModalWindow implements OnInit, AfterViewInit, OnDestroy {
    private _document;
    private _elRef;
    private _zone;
    private _closed$;
    private _elWithFocus;
    /** State of the dialog animation. */
    _state: 'void' | 'enter' | 'slideEnter' | 'exit' | 'slideExit';
    private _dialogEl;
    animation: boolean;
    ariaLabelledBy: string;
    ariaDescribedBy: string;
    backdrop: boolean | string;
    keyboard: boolean;
    size: string;
    modalDialogClass: string;
    overlayElement: Element;
    showClose: boolean;
    id: string;
    dismissEvent: EventEmitter<any>;
    shown: Subject<void>;
    hidden: Subject<void>;
    _animationStateChanged: Subject<void>;
    constructor(_document: any, _elRef: ElementRef<HTMLElement>, _zone: NgZone);
    dismiss(reason: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    hide(): Observable<any>;
    onCloseClicked(): void;
    private _show;
    private _enableEventHandling;
    private _disableEventHandling;
    private _setFocus;
    private _restoreFocus;
    private _startExitAnimation;
    /** Callback, invoked whenever an animation on the host completes. */
    private _onAnimationDone;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaModalWindow, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaModalWindow, "usa-modal-window", never, { "animation": { "alias": "animation"; "required": false; }; "ariaLabelledBy": { "alias": "ariaLabelledBy"; "required": false; }; "ariaDescribedBy": { "alias": "ariaDescribedBy"; "required": false; }; "backdrop": { "alias": "backdrop"; "required": false; }; "keyboard": { "alias": "keyboard"; "required": false; }; "size": { "alias": "size"; "required": false; }; "modalDialogClass": { "alias": "modalDialogClass"; "required": false; }; "overlayElement": { "alias": "overlayElement"; "required": false; }; "showClose": { "alias": "showClose"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, { "dismissEvent": "dismiss"; }, never, ["*"], false, never>;
}
