import { AfterContentInit, EventEmitter, OnDestroy, QueryList } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { Subscription } from "rxjs";
import { UsaRadioComponent } from "./radio.component";
import * as i0 from "@angular/core";
/**
 * Directive to allow heading for group of radio options
 */
export declare class UsaRadioGroupLabel {
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaRadioGroupLabel, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaRadioGroupLabel, "[usaRadioGroupLabel]", never, {}, {}, never, never, false, never>;
}
export declare class UsaRadioGroupComponent implements AfterContentInit, OnDestroy, ControlValueAccessor {
    /**
     * Invoked when the model has been changed
     */
    onChange: (_: any) => void;
    /**
    * Invoked when the model has been touched
    */
    onTouched: () => void;
    radioComponents: QueryList<UsaRadioComponent>;
    /**
     * Name for radio groups. A group of radio options should contain the same name
     */
    name: string;
    /**
     * Whether or not to display radio options as tile. This input is purely for presentation
     */
    tile: boolean;
    /**
     * Value of currently selected radio option. Each radio option within the group
     * should have a unique value. This value will match the currently selected
     * radio option's value within the group
     */
    get value(): string;
    set value(val: string);
    _value: string;
    /**
     * Defines whether all radio options within the group are disabled or not.
     * To dispable individual radio buttons, please pass the disabled property directly
     * to the radio button
     */
    get disabled(): boolean;
    set disabled(value: boolean);
    _disabled: boolean;
    ariaLabelledBy: string;
    /**
     * Outputs whenever radio option changes. The output data will
     * contain two properties, target and value. Target will refer to
     * the HTMLInputElement for the selected radio input while value will
     * contain the provided value of the input
     */
    change: EventEmitter<{
        target: HTMLInputElement;
        value: string;
    }>;
    _subscriptions: Subscription;
    constructor();
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    _subscribeToRadioChange(radio: UsaRadioComponent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaRadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaRadioGroupComponent, "usa-radio-group", never, { "name": { "alias": "name"; "required": false; }; "tile": { "alias": "tile"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "ariaLabelledBy": { "alias": "ariaLabelledBy"; "required": false; }; }, { "change": "change"; }, ["radioComponents"], ["usaRadioGroupLabel", "*"], false, never>;
}
