import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class UsaRadioLabelDescription {
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaRadioLabelDescription, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaRadioLabelDescription, "[usaRadioDescription]", never, {}, {}, never, never, false, never>;
}
export declare class UsaRadioComponent implements ControlValueAccessor {
    cdr: ChangeDetectorRef;
    tile: boolean;
    value: string;
    disabled: boolean;
    checked: boolean;
    ariaLabel: string;
    ariaLabelledby: string | null;
    ariaDescribedby: string;
    id: string;
    required: boolean;
    /** Name value will be applied to the input element if present */
    name: string;
    change: EventEmitter<{
        target: HTMLInputElement;
        value: string;
    }>;
    /**
    * Invoked when the model has been changed
    */
    onChange: (_: any) => void;
    /**
     * Invoked when the model has been touched
     */
    onTouched: () => void;
    constructor(cdr: ChangeDetectorRef);
    writeValue(value: any): void;
    /**
     * Registers a callback function that should be called when the control's value changes in the UI.
     * @param fn
     */
    registerOnChange(fn: any): void;
    /**
      * Registers a callback function that should be called when the control receives a blur event.
      * @param fn
      */
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onRadioClicked($event: PointerEvent, input: HTMLInputElement): void;
    preventChangePropogation($event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaRadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaRadioComponent, "usa-radio", never, { "tile": { "alias": "tile"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "ariaLabel": { "alias": "aria-label"; "required": false; }; "ariaLabelledby": { "alias": "aria-labelledby"; "required": false; }; "ariaDescribedby": { "alias": "aria-describedby"; "required": false; }; "id": { "alias": "id"; "required": false; }; "required": { "alias": "required"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, { "change": "change"; }, never, ["*", "usaRadioDescription"], false, never>;
}
