import { ElementRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { UsaStepIndicatorConfig } from './step-indicator.config';
import { UsaStepIndicatorModel } from './step-indicator.model';
import * as i0 from "@angular/core";
export declare class UsaStepIndicatorComponent implements OnChanges {
    private elementRef;
    /**
     * Hides labels on each step when set to true
     */
    hideLabels: boolean;
    /**
     * Centers label with the step bar when set to true
     */
    centerLabels: boolean;
    /**
     * Displays step counter
     */
    displayCounters: boolean;
    /**
     * Shrinks size of displayed step counter
     */
    smallCounters: boolean;
    /**
     * Whether to place the header above or below the step indicator
     */
    headerPosition: 'top' | 'bottom';
    /**
     * Disables the ability to navigate to steps by clicking on the step bar
     */
    disableStepSelection: boolean;
    id: string;
    /**
     * Currently selected step
     */
    currentStep: number;
    /**
     * All possible steps
     */
    steps: UsaStepIndicatorModel[];
    currentStepChange: EventEmitter<number>;
    constructor(config: UsaStepIndicatorConfig, elementRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    onStepClicked(stepIndex: number, step: any): void;
    onKeyDown(event: KeyboardEvent, index: number): void;
    getFillPercentage(step: UsaStepIndicatorModel): string;
    getSegmentScale(step: UsaStepIndicatorModel): string;
    private _getAllStepListElements;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaStepIndicatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaStepIndicatorComponent, "usa-step-indicator", never, { "hideLabels": { "alias": "hideLabels"; "required": false; }; "centerLabels": { "alias": "centerLabels"; "required": false; }; "displayCounters": { "alias": "displayCounters"; "required": false; }; "smallCounters": { "alias": "smallCounters"; "required": false; }; "headerPosition": { "alias": "headerPosition"; "required": false; }; "disableStepSelection": { "alias": "disableStepSelection"; "required": false; }; "id": { "alias": "id"; "required": false; }; "currentStep": { "alias": "currentStep"; "required": false; }; "steps": { "alias": "steps"; "required": false; }; }, { "currentStepChange": "currentStepChange"; }, never, ["[UsaStepHeader]"], false, never>;
}
