import { AfterViewInit, ElementRef, TemplateRef } from "@angular/core";
import { UsaSort } from "./table-sort.component";
import * as i0 from "@angular/core";
/**
 * Structural Directive to extract table header template
 * from user
 */
export declare class UsaTableHeaderDef {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTableHeaderDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaTableHeaderDef, "[usaTableHeaderDef]", never, {}, {}, never, never, false, never>;
}
/**
 * Directive to apply certain styles and/or attribute to table header
 */
export declare class UsaTableHeader implements AfterViewInit {
    elementRef: ElementRef;
    usaSort: UsaSort;
    ariaLabel: string;
    ariaSort: 'ascending' | 'descending';
    _defaultAriaLabel: string;
    constructor(elementRef: ElementRef);
    ngAfterViewInit(): void;
    setSortState(sortState: 'ascending' | 'descending' | 'none'): void;
    setSortInactive(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTableHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaTableHeader, "[usa-table-header]", never, { "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, {}, ["usaSort"], never, false, never>;
}
/**
 * Represents one row of table headers. Multiple rows of
 * table headers can exist in one table
 */
export declare class UsaHeaderRowDef {
    templateRef: TemplateRef<any>;
    usaHeaderRowDef: string[];
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaHeaderRowDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaHeaderRowDef, "[usaHeaderRowDef]", never, { "usaHeaderRowDef": { "alias": "usaHeaderRowDef"; "required": false; }; }, {}, never, never, false, never>;
}
