import * as i0 from "@angular/core";
export declare class UsaTableConfig {
    /**
     * Display table without column borders
     * @default false
     */
    borderless: boolean;
    /**
     * Allow table to scroll horizontally when content expand view width
     * @default false
     */
    scrollable: boolean;
    /**
     * Add alternating light/grey background color when displaying table rows
     * @default false
     */
    striped: boolean;
    /**
     * Minimize table cell padding
     * @default false
     */
    compact: boolean;
    /**
     * Stack table when in mobile sized view
     * @default true
     */
    stacked: boolean;
    /**
     * Displays first column as header when in stacked mode
     * @default false
     */
    stackedHeader: boolean;
    /**
     * Whether or not the data is sorted server side. If set to true, then
     * the table will not perform sort operations on given data, but simply
     * handle bookkeeping of sort state and event emission
     * @default false
     */
    serverSideSort: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTableConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UsaTableConfig>;
}
