import { EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { FormFieldComponent } from '../form-field/form-field.component';
import * as i0 from "@angular/core";
export declare class UsaTextareaComponent implements ControlValueAccessor {
    control: NgControl;
    model: string;
    private _onChange;
    private _onTouched;
    /**
     * Sets the ariaLabel attribute
     */
    ariaLabel: string;
    /**
     * Sets the rowHeight
     */
    rowHeight: number;
    /**
     * Sets the maxLength attribute
     */
    maxlength: number;
    /**
     * Sets the maxLength attribute
     */
    minlength: number;
    /**
     * Sets the id attribute
     */
    id: string;
    /**
     * Sets the placeholder attribute
     */
    placeholder: string;
    /**
     * Sets the name attribute
     */
    name: string;
    /**
     * Optional assistance text to be set when placeholder attribute is used
     */
    title: string;
    /**
     * Sets the disabled attribute
     */
    disabled: boolean;
    /**
     * Emits focus/blur  event
     */
    onBlur: EventEmitter<string>;
    /**
     *  emits the new value when the model value changes.
     */
    valueChange: EventEmitter<string>;
    /**
     * Sets the required attribute
     */
    required: boolean;
    /**
     * Sets the required attribute
     */
    requiredFlag: boolean;
    /**
     * Sets the label text
     */
    label: string;
    /**
     * Sets the helpful description text
     */
    description: string;
    /**
     * Sets the general error message
     */
    errorMessage: string;
    wrapperRef: FormFieldComponent;
    constructor(control: NgControl);
    onInputChange(value: any): void;
    focusChange(event: any): void;
    onValueChange(event: any): void;
    onKeydown(event: any): void;
    updateModel(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    get invalid(): boolean;
    get showError(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTextareaComponent, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaTextareaComponent, "usa-textarea", never, { "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "rowHeight": { "alias": "rowHeight"; "required": false; }; "maxlength": { "alias": "maxlength"; "required": false; }; "minlength": { "alias": "minlength"; "required": false; }; "id": { "alias": "id"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "name": { "alias": "name"; "required": false; }; "title": { "alias": "title"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "required": { "alias": "required"; "required": false; }; "requiredFlag": { "alias": "requiredFlag"; "required": false; }; "label": { "alias": "label"; "required": false; }; "description": { "alias": "description"; "required": false; }; "errorMessage": { "alias": "errorMessage"; "required": false; }; "wrapperRef": { "alias": "wrapperRef"; "required": false; }; }, { "onBlur": "onBlur"; "valueChange": "valueChange"; }, never, never, false, never>;
}
