import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class UsaTooltipDirective implements AfterViewInit {
    private el;
    private renderer;
    tooltipBody: HTMLElement;
    tooltipTrigger: HTMLElement;
    tooltipWrapper: HTMLElement;
    readonly TRIANGLE_SIZE = 5;
    position: 'top' | 'bottom' | 'left' | 'right';
    /**
     * Value to be displayed in tooltip
     */
    title: string;
    /**
     * Additional classes to be applied to wrapper
     */
    classes: string;
    constructor(el: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    positionTop(): void;
    positionBottom(): void;
    positionLeft(): void;
    positionRight(): void;
    setPositionClass(position: string): void;
    show(): void;
    hide(): void;
    isInViewport(elementToCheck: any): boolean;
    offsetMargin(target: any, propertyToCheck: any): number;
    calculateMarginOffset(positionToCheck: any, bodyOffset: any, trigger: any): any;
    resetPositionStyles(target: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaTooltipDirective, "[usaTooltip]", never, { "position": { "alias": "position"; "required": false; }; "title": { "alias": "title"; "required": false; }; "classes": { "alias": "classes"; "required": false; }; }, {}, never, never, false, never>;
}
