export declare enum Key {
    Tab = "Tab",
    Enter = "Enter",
    Escape = "Escape",
    Space = "Space",
    PageUp = "PageUp",
    PageDown = "PageDown",
    End = "End",
    Home = "Home",
    ArrowLeft = "ArrowLeft",
    ArrowUp = "ArrowUp",
    ArrowRight = "ArrowRight",
    ArrowDown = "ArrowDown"
}
export declare enum MicrosfotKeys {
    Tab = "Tab",
    Enter = "Enter",
    Escape = "Esc",
    Space = "Spacebar",
    PageUp = "PageUp",
    PageDown = "PageDown",
    End = "End",
    Home = "Home",
    ArrowLeft = "Left",
    ArrowUp = "Up",
    ArrowRight = "Right",
    ArrowDown = "Down"
}
export declare enum KeyCode {
    Tab = 9,
    Enter = 13,
    Escape = 27,
    Space = 32,
    PageUp = 33,
    PageDown = 34,
    End = 35,
    Home = 36,
    ArrowLeft = 37,
    ArrowUp = 38,
    ArrowRight = 39,
    ArrowDown = 40
}
type ModifierKey = 'altKey' | 'shiftKey' | 'ctrlKey' | 'metaKey';
export declare function isArrowDown(event: KeyboardEvent): boolean;
export declare function isArrowUp(event: KeyboardEvent): boolean;
export declare function isArrowRight(event: KeyboardEvent): boolean;
export declare function isArrowLeft(event: KeyboardEvent): boolean;
export declare function isHome(event: KeyboardEvent): boolean;
export declare function isEnd(event: KeyboardEvent): boolean;
export declare function isEscape(event: KeyboardEvent): boolean;
export declare function isPageDown(event: KeyboardEvent): boolean;
export declare function isPageUp(event: KeyboardEvent): boolean;
export declare function isEnter(event: KeyboardEvent): boolean;
export declare function isTab(event: KeyboardEvent): boolean;
export declare function isSpace(event: KeyboardEvent): boolean;
/**
 * Checks whether a modifier key is pressed.
 * @param event Event to be checked.
 */
export declare function hasModifierKey(event: KeyboardEvent, ...modifiers: ModifierKey[]): boolean;
export {};
