import { NgZone } from '@angular/core';
import { Observable, Subject } from 'rxjs';
export type UsaTransitionStartFn<T = any> = (element: HTMLElement, animation: boolean, context: T) => UsaTransitionEndFn | void;
export type UsaTransitionEndFn = () => void;
export interface UsaTransitionOptions<T> {
    animation: boolean;
    runningTransition: 'continue' | 'stop';
    context?: T;
}
export interface UsaTransitionCtx<T> {
    transition$: Subject<any>;
    complete: () => void;
    context: T;
}
export declare const usaRunTransition: <T>(zone: NgZone, element: HTMLElement, startFn: UsaTransitionStartFn<T>, options: UsaTransitionOptions<T>) => Observable<undefined>;
export declare const usaCompleteTransition: (element: HTMLElement) => void;
